Workflows Service, REST: Workflow.Create
Creates Workflow in specified folder.
HTTP request
POST https://serverless-workflows.api.cloud.yandex.net/workflows/v1/workflow
Body parameters
{
"folderId": "string",
"name": "string",
"description": "string",
"labels": "object",
"specification": {
// Includes only one of the fields `specYaml`
"specYaml": "string"
// end of the list of possible fields
},
"logOptions": {
"disabled": "boolean",
// Includes only one of the fields `logGroupId`, `folderId`
"logGroupId": "string",
"folderId": "string",
// end of the list of possible fields
"minLevel": "string"
},
"networkId": "string",
"serviceAccountId": "string",
"express": "boolean",
"schedule": {
"cronExpression": "string",
"timezone": "string"
},
"isPublic": "boolean"
}
|
Field |
Description |
|
folderId |
string Required field. ID of the folder to create Workflow in. |
|
name |
string Required field. Name of Workflow. Value must match the regular expression |
|
description |
string Description of Workflow. The maximum string length in characters is 256. |
|
labels |
object (map<string, string>) Workflow labels as The maximum string length in characters for each value is 63. The string length in characters for each key must be 1-63. Each key must match the regular expression |
|
specification |
Required field. Specification of Workflow |
|
logOptions |
Options for logging from Workflow. |
|
networkId |
string ID of the VPC network Workflow will be executed in, in order to access private resources. |
|
serviceAccountId |
string ID of the Service Account which will be used for resources access in Workflow execution. |
|
express |
boolean Express execution mode. |
|
schedule |
Workflow schedule settings. |
|
isPublic |
boolean Ability of the Workflow to be executed without authentication. |
WorkflowSpecification
|
Field |
Description |
|
specYaml |
string Workflow specification in YAML format. Includes only one of the fields |
LogOptions
|
Field |
Description |
|
disabled |
boolean Is logging from Workflow disabled. |
|
logGroupId |
string ID of the logging group which should be used for Workflows logs. Includes only one of the fields |
|
folderId |
string ID of the folder which default logging group should be used for Workflows. Includes only one of the fields |
|
minLevel |
enum (Level) Minimum logs level.
|
WorkflowSchedule
|
Field |
Description |
|
cronExpression |
string Required field. Cron expression for the Workflow schedule. The maximum string length in characters is 100. |
|
timezone |
string Required field. Timezone for the Workflow schedule. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 text format. The range of possible values is from To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 text format. The range of possible values is from To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code. |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |